<?php
$tdatastatistics_voted = array();
$tdatastatistics_voted[".searchableFields"] = array();
$tdatastatistics_voted[".ShortName"] = "statistics_voted";
$tdatastatistics_voted[".OwnerID"] = "";
$tdatastatistics_voted[".OriginalTable"] = "statistics_voted";


$tdatastatistics_voted[".pagesByType"] = my_json_decode( "{\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"]}" );
$tdatastatistics_voted[".originalPagesByType"] = $tdatastatistics_voted[".pagesByType"];
$tdatastatistics_voted[".pages"] = types2pages( my_json_decode( "{\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"]}" ) );
$tdatastatistics_voted[".originalPages"] = $tdatastatistics_voted[".pages"];
$tdatastatistics_voted[".defaultPages"] = my_json_decode( "{\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\"}" );
$tdatastatistics_voted[".originalDefaultPages"] = $tdatastatistics_voted[".defaultPages"];

//	field labels
$fieldLabelsstatistics_voted = array();
$fieldToolTipsstatistics_voted = array();
$pageTitlesstatistics_voted = array();
$placeHoldersstatistics_voted = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsstatistics_voted["English"] = array();
	$fieldToolTipsstatistics_voted["English"] = array();
	$placeHoldersstatistics_voted["English"] = array();
	$pageTitlesstatistics_voted["English"] = array();
	$fieldLabelsstatistics_voted["English"]["Region"] = "Region";
	$fieldToolTipsstatistics_voted["English"]["Region"] = "";
	$placeHoldersstatistics_voted["English"]["Region"] = "";
	$fieldLabelsstatistics_voted["English"]["numRegion"] = "Num Region";
	$fieldToolTipsstatistics_voted["English"]["numRegion"] = "";
	$placeHoldersstatistics_voted["English"]["numRegion"] = "";
	$fieldLabelsstatistics_voted["English"]["V"] = "V";
	$fieldToolTipsstatistics_voted["English"]["V"] = "";
	$placeHoldersstatistics_voted["English"]["V"] = "";
	$fieldLabelsstatistics_voted["English"]["Total"] = "Total";
	$fieldToolTipsstatistics_voted["English"]["Total"] = "";
	$placeHoldersstatistics_voted["English"]["Total"] = "";
	$fieldLabelsstatistics_voted["English"]["Percentage"] = "Percentage";
	$fieldToolTipsstatistics_voted["English"]["Percentage"] = "";
	$placeHoldersstatistics_voted["English"]["Percentage"] = "";
	$fieldLabelsstatistics_voted["English"]["P_ma3"] = "P Ma3";
	$fieldToolTipsstatistics_voted["English"]["P_ma3"] = "";
	$placeHoldersstatistics_voted["English"]["P_ma3"] = "";
	$fieldLabelsstatistics_voted["English"]["P_dod"] = "P Dod";
	$fieldToolTipsstatistics_voted["English"]["P_dod"] = "";
	$placeHoldersstatistics_voted["English"]["P_dod"] = "";
	$fieldLabelsstatistics_voted["English"]["P_tachkil"] = "P Tachkil";
	$fieldToolTipsstatistics_voted["English"]["P_tachkil"] = "";
	$placeHoldersstatistics_voted["English"]["P_tachkil"] = "";
	$fieldLabelsstatistics_voted["English"]["P_majhoul"] = "P Majhoul";
	$fieldToolTipsstatistics_voted["English"]["P_majhoul"] = "";
	$placeHoldersstatistics_voted["English"]["P_majhoul"] = "";
	if (count($fieldToolTipsstatistics_voted["English"]))
		$tdatastatistics_voted[".isUseToolTips"] = true;
}
if(mlang_getcurrentlang()=="Arabic")
{
	$fieldLabelsstatistics_voted["Arabic"] = array();
	$fieldToolTipsstatistics_voted["Arabic"] = array();
	$placeHoldersstatistics_voted["Arabic"] = array();
	$pageTitlesstatistics_voted["Arabic"] = array();
	$fieldLabelsstatistics_voted["Arabic"]["Region"] = "Region";
	$fieldToolTipsstatistics_voted["Arabic"]["Region"] = "";
	$placeHoldersstatistics_voted["Arabic"]["Region"] = "";
	$fieldLabelsstatistics_voted["Arabic"]["numRegion"] = "Num Region";
	$fieldToolTipsstatistics_voted["Arabic"]["numRegion"] = "";
	$placeHoldersstatistics_voted["Arabic"]["numRegion"] = "";
	$fieldLabelsstatistics_voted["Arabic"]["V"] = "V";
	$fieldToolTipsstatistics_voted["Arabic"]["V"] = "";
	$placeHoldersstatistics_voted["Arabic"]["V"] = "";
	$fieldLabelsstatistics_voted["Arabic"]["Total"] = "Total";
	$fieldToolTipsstatistics_voted["Arabic"]["Total"] = "";
	$placeHoldersstatistics_voted["Arabic"]["Total"] = "";
	$fieldLabelsstatistics_voted["Arabic"]["Percentage"] = "Percentage";
	$fieldToolTipsstatistics_voted["Arabic"]["Percentage"] = "";
	$placeHoldersstatistics_voted["Arabic"]["Percentage"] = "";
	$fieldLabelsstatistics_voted["Arabic"]["P_ma3"] = "P Ma3";
	$fieldToolTipsstatistics_voted["Arabic"]["P_ma3"] = "";
	$placeHoldersstatistics_voted["Arabic"]["P_ma3"] = "";
	$fieldLabelsstatistics_voted["Arabic"]["P_dod"] = "P Dod";
	$fieldToolTipsstatistics_voted["Arabic"]["P_dod"] = "";
	$placeHoldersstatistics_voted["Arabic"]["P_dod"] = "";
	$fieldLabelsstatistics_voted["Arabic"]["P_tachkil"] = "P Tachkil";
	$fieldToolTipsstatistics_voted["Arabic"]["P_tachkil"] = "";
	$placeHoldersstatistics_voted["Arabic"]["P_tachkil"] = "";
	$fieldLabelsstatistics_voted["Arabic"]["P_majhoul"] = "P Majhoul";
	$fieldToolTipsstatistics_voted["Arabic"]["P_majhoul"] = "";
	$placeHoldersstatistics_voted["Arabic"]["P_majhoul"] = "";
	if (count($fieldToolTipsstatistics_voted["Arabic"]))
		$tdatastatistics_voted[".isUseToolTips"] = true;
}


	$tdatastatistics_voted[".NCSearch"] = true;



$tdatastatistics_voted[".shortTableName"] = "statistics_voted";
$tdatastatistics_voted[".nSecOptions"] = 0;

$tdatastatistics_voted[".mainTableOwnerID"] = "";
$tdatastatistics_voted[".entityType"] = 0;
$tdatastatistics_voted[".connId"] = "electiondb_at_ssl_localhost";


$tdatastatistics_voted[".strOriginalTableName"] = "statistics_voted";

	



$tdatastatistics_voted[".showAddInPopup"] = false;

$tdatastatistics_voted[".showEditInPopup"] = false;

$tdatastatistics_voted[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatastatistics_voted[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatastatistics_voted[".listAjax"] = false;
//	temporary
$tdatastatistics_voted[".listAjax"] = false;

	$tdatastatistics_voted[".audit"] = false;

	$tdatastatistics_voted[".locking"] = false;


$pages = $tdatastatistics_voted[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatastatistics_voted[".edit"] = true;
	$tdatastatistics_voted[".afterEditAction"] = 1;
	$tdatastatistics_voted[".closePopupAfterEdit"] = 1;
	$tdatastatistics_voted[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatastatistics_voted[".add"] = true;
$tdatastatistics_voted[".afterAddAction"] = 1;
$tdatastatistics_voted[".closePopupAfterAdd"] = 1;
$tdatastatistics_voted[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatastatistics_voted[".list"] = true;
}



$tdatastatistics_voted[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatastatistics_voted[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatastatistics_voted[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatastatistics_voted[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatastatistics_voted[".printFriendly"] = true;
}



$tdatastatistics_voted[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatastatistics_voted[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatastatistics_voted[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatastatistics_voted[".isUseAjaxSuggest"] = true;

$tdatastatistics_voted[".rowHighlite"] = true;





$tdatastatistics_voted[".ajaxCodeSnippetAdded"] = false;

$tdatastatistics_voted[".buttonsAdded"] = false;

$tdatastatistics_voted[".addPageEvents"] = false;

// use timepicker for search panel
$tdatastatistics_voted[".isUseTimeForSearch"] = false;


$tdatastatistics_voted[".badgeColor"] = "CD853F";


$tdatastatistics_voted[".allSearchFields"] = array();
$tdatastatistics_voted[".filterFields"] = array();
$tdatastatistics_voted[".requiredSearchFields"] = array();

$tdatastatistics_voted[".googleLikeFields"] = array();
$tdatastatistics_voted[".googleLikeFields"][] = "Region";
$tdatastatistics_voted[".googleLikeFields"][] = "numRegion";
$tdatastatistics_voted[".googleLikeFields"][] = "V";
$tdatastatistics_voted[".googleLikeFields"][] = "Total";
$tdatastatistics_voted[".googleLikeFields"][] = "Percentage";
$tdatastatistics_voted[".googleLikeFields"][] = "P_ma3";
$tdatastatistics_voted[".googleLikeFields"][] = "P_dod";
$tdatastatistics_voted[".googleLikeFields"][] = "P_tachkil";
$tdatastatistics_voted[".googleLikeFields"][] = "P_majhoul";



$tdatastatistics_voted[".tableType"] = "list";

$tdatastatistics_voted[".printerPageOrientation"] = 0;
$tdatastatistics_voted[".nPrinterPageScale"] = 100;

$tdatastatistics_voted[".nPrinterSplitRecords"] = 40;

$tdatastatistics_voted[".geocodingEnabled"] = false;










$tdatastatistics_voted[".pageSize"] = 20;

$tdatastatistics_voted[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatastatistics_voted[".strOrderBy"] = $tstrOrderBy;

$tdatastatistics_voted[".orderindexes"] = array();


$tdatastatistics_voted[".sqlHead"] = "SELECT Region,  	numRegion,  	V,  	Total,  	Percentage,  	P_ma3,  	P_dod,  	P_tachkil,  	P_majhoul";
$tdatastatistics_voted[".sqlFrom"] = "FROM statistics_voted";
$tdatastatistics_voted[".sqlWhereExpr"] = "";
$tdatastatistics_voted[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatastatistics_voted[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatastatistics_voted[".arrGroupsPerPage"] = $arrGPP;

$tdatastatistics_voted[".highlightSearchResults"] = true;

$tableKeysstatistics_voted = array();
$tdatastatistics_voted[".Keys"] = $tableKeysstatistics_voted;


$tdatastatistics_voted[".hideMobileList"] = array();




//	Region
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "Region";
	$fdata["GoodName"] = "Region";
	$fdata["ownerTable"] = "statistics_voted";
	$fdata["Label"] = GetFieldLabel("statistics_voted","Region");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "Region";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Region";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastatistics_voted["Region"] = $fdata;
		$tdatastatistics_voted[".searchableFields"][] = "Region";
//	numRegion
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "numRegion";
	$fdata["GoodName"] = "numRegion";
	$fdata["ownerTable"] = "statistics_voted";
	$fdata["Label"] = GetFieldLabel("statistics_voted","numRegion");
	$fdata["FieldType"] = 2;

	
	
	
			

		$fdata["strField"] = "numRegion";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "numRegion";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastatistics_voted["numRegion"] = $fdata;
		$tdatastatistics_voted[".searchableFields"][] = "numRegion";
//	V
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "V";
	$fdata["GoodName"] = "V";
	$fdata["ownerTable"] = "statistics_voted";
	$fdata["Label"] = GetFieldLabel("statistics_voted","V");
	$fdata["FieldType"] = 20;

	
	
	
			

		$fdata["strField"] = "V";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "V";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastatistics_voted["V"] = $fdata;
		$tdatastatistics_voted[".searchableFields"][] = "V";
//	Total
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "Total";
	$fdata["GoodName"] = "Total";
	$fdata["ownerTable"] = "statistics_voted";
	$fdata["Label"] = GetFieldLabel("statistics_voted","Total");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "Total";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Total";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastatistics_voted["Total"] = $fdata;
		$tdatastatistics_voted[".searchableFields"][] = "Total";
//	Percentage
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "Percentage";
	$fdata["GoodName"] = "Percentage";
	$fdata["ownerTable"] = "statistics_voted";
	$fdata["Label"] = GetFieldLabel("statistics_voted","Percentage");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "Percentage";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Percentage";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastatistics_voted["Percentage"] = $fdata;
		$tdatastatistics_voted[".searchableFields"][] = "Percentage";
//	P_ma3
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "P_ma3";
	$fdata["GoodName"] = "P_ma3";
	$fdata["ownerTable"] = "statistics_voted";
	$fdata["Label"] = GetFieldLabel("statistics_voted","P_ma3");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "P_ma3";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "P_ma3";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastatistics_voted["P_ma3"] = $fdata;
		$tdatastatistics_voted[".searchableFields"][] = "P_ma3";
//	P_dod
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "P_dod";
	$fdata["GoodName"] = "P_dod";
	$fdata["ownerTable"] = "statistics_voted";
	$fdata["Label"] = GetFieldLabel("statistics_voted","P_dod");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "P_dod";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "P_dod";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastatistics_voted["P_dod"] = $fdata;
		$tdatastatistics_voted[".searchableFields"][] = "P_dod";
//	P_tachkil
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "P_tachkil";
	$fdata["GoodName"] = "P_tachkil";
	$fdata["ownerTable"] = "statistics_voted";
	$fdata["Label"] = GetFieldLabel("statistics_voted","P_tachkil");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "P_tachkil";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "P_tachkil";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastatistics_voted["P_tachkil"] = $fdata;
		$tdatastatistics_voted[".searchableFields"][] = "P_tachkil";
//	P_majhoul
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "P_majhoul";
	$fdata["GoodName"] = "P_majhoul";
	$fdata["ownerTable"] = "statistics_voted";
	$fdata["Label"] = GetFieldLabel("statistics_voted","P_majhoul");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "P_majhoul";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "P_majhoul";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastatistics_voted["P_majhoul"] = $fdata;
		$tdatastatistics_voted[".searchableFields"][] = "P_majhoul";


$tables_data["statistics_voted"]=&$tdatastatistics_voted;
$field_labels["statistics_voted"] = &$fieldLabelsstatistics_voted;
$fieldToolTips["statistics_voted"] = &$fieldToolTipsstatistics_voted;
$placeHolders["statistics_voted"] = &$placeHoldersstatistics_voted;
$page_titles["statistics_voted"] = &$pageTitlesstatistics_voted;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["statistics_voted"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["statistics_voted"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_statistics_voted()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "Region,  	numRegion,  	V,  	Total,  	Percentage,  	P_ma3,  	P_dod,  	P_tachkil,  	P_majhoul";
$proto0["m_strFrom"] = "FROM statistics_voted";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "Region",
	"m_strTable" => "statistics_voted",
	"m_srcTableName" => "statistics_voted"
));

$proto6["m_sql"] = "Region";
$proto6["m_srcTableName"] = "statistics_voted";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "numRegion",
	"m_strTable" => "statistics_voted",
	"m_srcTableName" => "statistics_voted"
));

$proto8["m_sql"] = "numRegion";
$proto8["m_srcTableName"] = "statistics_voted";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "V",
	"m_strTable" => "statistics_voted",
	"m_srcTableName" => "statistics_voted"
));

$proto10["m_sql"] = "V";
$proto10["m_srcTableName"] = "statistics_voted";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "Total",
	"m_strTable" => "statistics_voted",
	"m_srcTableName" => "statistics_voted"
));

$proto12["m_sql"] = "Total";
$proto12["m_srcTableName"] = "statistics_voted";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "Percentage",
	"m_strTable" => "statistics_voted",
	"m_srcTableName" => "statistics_voted"
));

$proto14["m_sql"] = "Percentage";
$proto14["m_srcTableName"] = "statistics_voted";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "P_ma3",
	"m_strTable" => "statistics_voted",
	"m_srcTableName" => "statistics_voted"
));

$proto16["m_sql"] = "P_ma3";
$proto16["m_srcTableName"] = "statistics_voted";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "P_dod",
	"m_strTable" => "statistics_voted",
	"m_srcTableName" => "statistics_voted"
));

$proto18["m_sql"] = "P_dod";
$proto18["m_srcTableName"] = "statistics_voted";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
						$proto20=array();
			$obj = new SQLField(array(
	"m_strName" => "P_tachkil",
	"m_strTable" => "statistics_voted",
	"m_srcTableName" => "statistics_voted"
));

$proto20["m_sql"] = "P_tachkil";
$proto20["m_srcTableName"] = "statistics_voted";
$proto20["m_expr"]=$obj;
$proto20["m_alias"] = "";
$obj = new SQLFieldListItem($proto20);

$proto0["m_fieldlist"][]=$obj;
						$proto22=array();
			$obj = new SQLField(array(
	"m_strName" => "P_majhoul",
	"m_strTable" => "statistics_voted",
	"m_srcTableName" => "statistics_voted"
));

$proto22["m_sql"] = "P_majhoul";
$proto22["m_srcTableName"] = "statistics_voted";
$proto22["m_expr"]=$obj;
$proto22["m_alias"] = "";
$obj = new SQLFieldListItem($proto22);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto24=array();
$proto24["m_link"] = "SQLL_MAIN";
			$proto25=array();
$proto25["m_strName"] = "statistics_voted";
$proto25["m_srcTableName"] = "statistics_voted";
$proto25["m_columns"] = array();
$proto25["m_columns"][] = "Region";
$proto25["m_columns"][] = "numRegion";
$proto25["m_columns"][] = "V";
$proto25["m_columns"][] = "Total";
$proto25["m_columns"][] = "Percentage";
$proto25["m_columns"][] = "P_ma3";
$proto25["m_columns"][] = "P_dod";
$proto25["m_columns"][] = "P_tachkil";
$proto25["m_columns"][] = "P_majhoul";
$obj = new SQLTable($proto25);

$proto24["m_table"] = $obj;
$proto24["m_sql"] = "statistics_voted";
$proto24["m_alias"] = "";
$proto24["m_srcTableName"] = "statistics_voted";
$proto26=array();
$proto26["m_sql"] = "";
$proto26["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto26["m_column"]=$obj;
$proto26["m_contained"] = array();
$proto26["m_strCase"] = "";
$proto26["m_havingmode"] = false;
$proto26["m_inBrackets"] = false;
$proto26["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto26);

$proto24["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto24);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="statistics_voted";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_statistics_voted = createSqlQuery_statistics_voted();


	
		;

									

$tdatastatistics_voted[".sqlquery"] = $queryData_statistics_voted;



$tableEvents["statistics_voted"] = new eventsBase;
$tdatastatistics_voted[".hasEvents"] = false;

?>